<template>
	<header class="main-header mdc-top-app-bar mdc-top-app-bar--fixed">
		<div class="mdc-top-app-bar__row">
			<section class="mdc-top-app-bar__section mdc-top-app-bar__section--align-start">
				<button class="material-icons mdc-top-app-bar__navigation-icon hidden-sm-and-up" @click="isMenuMobileOpen = true">menu</button>
				<m-menu-anchor>
					<m-menu class="mdc-menu-mobile" anchorCorner="BOTTOM_START" v-model="isMenuMobileOpen" hoistToBody wrapFocus >
						<m-list>
							<m-list-item v-for="(item,index) in menuItems" :key="index">
								<span slot="graphic" class="material-icons">{{item.icon}}</span>
								<menu-item
									:name="item.name"
									:router="item.router"
									:link="item.link"
									:items="item.items"
								>
								</menu-item>
							</m-list-item>

						</m-list>
					</m-menu>
				</m-menu-anchor>
				<router-link :to="{name: 'Home'}" class="mdc-top-app-bar__title mdc-text-white hidden-xs-only">
					<span class="mdc-text-danger mdc-font-weight--600">Light</span>box
				</router-link>
				<section class="mdc-top-app-bar__section mdc-top-app-bar__menu hidden-xs-only">
					<menu-item
						v-for="(item,index) in menuItems"
						:name="item.name"
						:router="item.router"
						:link="item.link"
						:items="item.items"
						:key="index"
					>
					</menu-item>
				</section>
			</section>
			<section class="mdc-top-app-bar__section mdc-top-app-bar__section--align-end">
				<m-menu-anchor>
					<a :class="{'active': isMenuOpen}" class="mdc-top-app-bar__status-item mdc-top-app-bar__action-item" @click="isMenuOpen = true">
						<v-avatar class="mdc-status-img">
							<img :src="getAvatar()"  alt="avatar">
						</v-avatar>
<!--						<img :src="getAvatar()" class="mdc-status-img" />-->
						<span class="hidden-xs-only">{{ currentUser.name ||  currentUser.first_name}}</span>
					</a>
					<m-menu ref="mMenu" class="mdc-menu-profile" anchorCorner="BOTTOM_START" v-model="isMenuOpen" hoistToBody wrapFocus >
						<m-list>
							<m-list-item @click="routeToProfile">
								<span slot="graphic"><img  src="@/assets/images/icons/myprofile-icon.png"></span>
								<span>My Profile</span>
							</m-list-item>
							<m-list-item>
								<span slot="graphic"><img src="@/assets/images/icons/billing-icon.png"></span>
								<span>Billing</span>
							</m-list-item>
							<m-list-item>
								<span slot="graphic"><img src="@/assets/images/icons/manageusers-icon.png"></span>
								<span>Manage User</span>
							</m-list-item>
							<m-list-divider/>
							<m-list-item @click="logout" class="mdc-text-danger ">
								<span slot="graphic"><img src="@/assets/images/icons/logout-icon.png"></span>
								<span>Logout</span>
							</m-list-item>

						</m-list>
					</m-menu>
				</m-menu-anchor>
			</section>
		</div>
	</header>
</template>

<script src="./NavBar.js"></script>
